Subject: Re: [PATCH 21/26] block: move the poll flag to queue_limits

From: Damien Le Moal <[email-masked]>
Date: Tue, 11 Jun 2024 17:21:07 +0900

On 6/11/24 2:19 PM, Christoph Hellwig wrote:
> Move the poll flag into the queue_limits feature field so that it
> can be set atomically and all I/O is frozen when changing the flag.
> 
> Stacking drivers are simplified in that they now can simply set the
> flag, and blk_stack_limits will clear it when the features is not
> supported by any of the underlying devices.
> 
> Signed-off-by: Christoph Hellwig <[email-masked]>

Kind of the same remark as for io_stat about this not really being a device
feature. But I guess seeing "features" as a queue feature rather than just a
device feature makes it OK to have poll (and io_stat) as a feature rather than
a flag.

So:

Reviewed-by: Damien Le Moal <[email-masked]>

-- 
Damien Le Moal
Western Digital Research